PDA

View Full Version : Jailbreaking to 4.0 cornocopia of errors.




AniSaps
Aug 21, 2010, 08:05 PM
Hello there,
I haven't been able to find a legit source for this specific issue, so I thought I'd give it a shot here. I have an iPod Touch 3g, 8gb. I had firmware 3.1.3 installed initially with the Spirit jailbreak. I have been inclined to upgrade to the 4.0.1 (*not 4.2*) as several apps crash with the 4.0 updates through the app store or installous. I tried using jailbreakme.com, which I believe is the only tool for the 3rd gen. models of the itouch that works. I tried and failed, usually with the whole device rebooting rather than just the browser. I thought that perhaps jailbreaking a jailbroken device might not work, so I looked to downgrade to the unjailbroken 3.1.3 first. However, apple's new security measures to prevent such an event stopped me in my tracks via itunes (9.2). I have tried downgrading itunes as far as 7.6, but 8.2 was the only one that even recognized the ipod. I tried manually restoring the device using the downloaded 4.0 firmware, but received error messages. I tried reverting instead to just the standard 3.1.3 for 3g models, but received another error message. The *only* one I could install was the ipod touch *2g* firmware version of 4.0, and then itunes popped up and told me that I needed now to upgrade to 9.2 to even see the ipod. Holy Lord, do I hate apple right now. Basically, I am concerned about this 2g firmware business. Why won't itunes let me install the proper firmware? It's definitely a 3rd gen. model. Is it worth it to take this further and try to jailbreak using jailbreakme again? Or will having the 2g firmware cause too many complications? If you have experienced any of this nonsense, or have otherwise helpful suggestions, I would love to hear them!

Thanks,
Anitra



GregR
Aug 22, 2010, 01:51 PM
And that's why you don't jailbreak.

Silencer
Aug 23, 2010, 05:51 AM
Yep. Thats the problem with jailbreaking it can be unstable at times. I would say avoid it is I was you.

nexus14
Aug 23, 2010, 07:32 AM
I like how the previous posts provide zero help whatsoever.

First off, your iPod touch is 8gb. There is no 3rd gen 8gb. All supposedly 3rd gen 8gb and 2nd gen 8gb are exactly the same. Go to wikipedia to confirm this. Yes, this means that the ipod you thought was 3rd gen is actually 2nd gen. It has the processor of the iphone 3g, not the processor of the iphone 3gs like the real 3rd gen ipod touch (32,64 gb)

Secondly, the extent of how far you downgrade will depend on whether or not you allowed cydia to retrieve the ECID of your ipod. While you were on 3.1.3, you should have opened cydia at some point and allowed it to "make your life easier" If you did not do this, you will be stuck on the latest firmware and any attempt to downgrade will result in an error message.

If you manage to jailbreak the latest firmware, please visit cydia and allow it to retrieve the ECID. if apple makes any changes to its firmware, at least you will have the possibility to downgrade to 4.0.1